#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC5,0x25,0x0A,0x55,0xE1,0xB1,0xED,0xC4,0x1F,0x1D,0x1F,0xE3,
		0xE4,0xA2,0xED,0x69,0x5C,0xD0,0x6A,0xCB,0xC5,0x1F,0x55,0x18,
		0x74,0x16,0x49,0xA4,0xB0,0xEA,0x86,0x3A,0x7D,0x55,0x1E,0x94,
		0xA1,0xBA,0xAF,0xA1,0x86,0x4D,0x4A,0x04,0x63,0x87,0xD5,0x65,
		0xF5,0x18,0x2D,0x04,0x8B,0x31,0x56,0xAD,0x26,0xD9,0xDD,0xF6,
		0xEB,0x19,0xB2,0x3F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
